Class statistics
Attendance and grade statistics of a class, with export.
Export the class statistics as CSV
GET /turmas/{turmaId}/estatisticas/exportar
Access: Requires the capability AVALIAR over class (params.turmaId). Rate limit: up to 10 calls every 60 s per origin. Success status: 200.
Path parameters
| Parameter | Type | Required | Constraints | Description |
|---|---|---|---|---|
turmaId | string (uuid) | yes | Class id. |
Query parameters
| Parameter | Type | Required | Constraints | Description |
|---|---|---|---|---|
de | string | no | ^\d{4}-\d{2}-\d{2}$ | Window start date (YYYY-MM-DD), inclusive. |
ate | string | no | ^\d{4}-\d{2}-\d{2}$ | Window end date (YYYY-MM-DD), inclusive. |
Response
CSV file (text/csv).
On error: ErroApi model.
Example
bash
curl -X GET "$API/turmas/{turmaId}/estatisticas/exportar" -H "Authorization: Bearer $TOKEN"